sub _PGcourse_init {};		####	Don't reload this file.

$guest   = ($effectivePermissionLevel == -5) ;	####	practice user

####	Presume that faculty observers are given TA status (permission 5).
$observe = ($effectivePermissionLevel >=  5) ;	####	TA or Professor

loadMacros( "problemRandomize.pl" ) ;

####	Allow a Guest or Observer to always get a new version of problem.
ProblemRandomize( when => "Always", onlyAfterDue => 0, style => "Button" )
	if	($guest or $observe) ;

####	Allow everybody else (e.g., a student) to get a new version
####	(more practice) ONLY after correct answer to first (scored) version.
####		[better (not yet doable): Correct or AfterDue]
ProblemRandomize( when => "Correct", onlyAfterDue => 0, style => "Button" )
	if	not ($guest or $observe) ;

####	Always allow observer or teacher to View Source Code for problem.
loadMacros( "source.pl" )	if	$observe ;

1;
